Commit 06988921 authored by Anke's avatar Anke
Browse files

catalystlts and catalystpxp update

parent 4ad5fb97
......@@ -9,22 +9,22 @@ _extramodules=extramodules-`pacman -Q linux-lts | cut -c11-13 | sed 's/linux-lts
_kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=catalyst-lts
pkgver=11.11
pkgrel=3
pkgver=12.2
pkgrel=1
pkgdesc="AMD/ATI Catalyst drivers for linux. fglrx kernel module only"
arch=('i686' 'x86_64')
url="http://www.ati.amd.com"
license=('custom')
depends=('linux-lts>=3.0' 'linux-lts<3.1' 'catalyst-utils')
makedepends=('gcc-libs' 'gcc>4.0.0' 'make' 'linux-headers')
makedepends=('gcc-libs' 'gcc>4.0.0' 'make' 'linux-lts-headers')
conflicts=('catalyst-test' 'nvidia-lts' 'xf86-video-ati' 'xf86-video-radeonhd' 'ati-dri')
install=catalyst.install
source=(http://www2.ati.com/drivers/linux/ati-driver-installer-${pkgver/./-}-x86.x86_64.run
source=(http://www2.ati.com/drivers/linux/amd-driver-installer-${pkgver/./-}-x86.x86_64.run
ati_make.sh
makefile_compat.patch)
md5sums=('7196077aacfbaf7234a705f5352a1111'
md5sums=('7764bd0343ed542a8e0ebed05e347865'
'660396540b0ceaff71d6155c986734de'
'3e1b82bd69774ea808da69c983d6a43b')
......@@ -39,7 +39,7 @@ build() {
msg "Unpacking archive ..."
/bin/sh ./ati-driver-installer-${pkgver/./-}-x86.x86_64.run --extract archive_files
/bin/sh ./amd-driver-installer-${pkgver/./-}-x86.x86_64.run --extract archive_files
if [ "${CARCH}" = "x86_64" ]; then
......
Signed-off-by: Gianluca Gennari <gennarone@gmail.com>
---
--- 12.1/common/lib/modules/fglrx/build_mod/firegl_public.c
+++ 12.1/common/lib/modules/fglrx/build_mod/firegl_public.c
@@ -5797,10 +5797,16 @@ void ATI_API_CALL KCL_fpu_begin(void)
#ifdef CONFIG_X86_64
kernel_fpu_begin();
#else
+#ifndef TS_USEDFPU
+ preempt_disable();
+ if (__thread_has_fpu(current))
+ __save_init_fpu(current);
+#else
struct thread_info *cur_task = current_thread_info();
preempt_disable();
if (cur_task->status & TS_USEDFPU)
__save_init_fpu(cur_task->task);
+#endif
else
clts();
#endif
......@@ -5,7 +5,7 @@
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
pkgname=catalystpxp-utils
pkgver=11.11
pkgver=12.2
pkgrel=1
pkgdesc="AMD/ATI Catalyst drivers utilities and libraries. (with powerXpress support - experimental)"
arch=('i686' 'x86_64')
......@@ -24,7 +24,7 @@ fi
install=catalyst-utils.install
source=(
http://www2.ati.com/drivers/linux/ati-driver-installer-${pkgver/./-}-x86.x86_64.run
http://www2.ati.com/drivers/linux/amd-driver-installer-${pkgver/./-}-x86.x86_64.run
lib32-catalyst.sh
lib32-catalystpxp.sh
catalyst.sh
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment